/*
Theme Name: Lightning Child Sample
Template: lightning
Description: ★ テーマの説明（lightning編集用） ★
*/


/*powered　by　非表示*/
.site-footer-copyright p{
    display:none
}

Copyright © SYNC-labo All Rights Reserved.

/*** 「次の投稿」「前の投稿」を非表示 ***/
.nav-links {
display: none;
}
.postNextPrev {
	display:none;
}

// スライドショーの設定枚数を変更
add_filter('lightning_top_slide_count_max', 'lightning_top_slide_count_change');
function lightning_top_slide_count_change( $top_slide_count_max ){
$top_slide_count_max =4;
return $top_slide_count_max;
}


// バナー等固定URLから常に最新記事へ飛ばす
function custom_category_redirect($request)
{
    if (isset($_GET['latest'])
        && isset($request->query_vars['category_name'])) {

        $latest = new WP_Query(array(
            'category_name' => $request->query_vars['category_name'],
            'posts_per_page' => 1,
        ));
        if ($latest->have_posts()) {
            wp_redirect(get_permalink($latest->post->ID));
            exit;
        }

    }
}
add_action('parse_request', 'custom_category_redirect');


<?php
$taxonomies	= lightning_get_display_taxonomies();
if ( $taxonomies ) :
	// get $taxonomy name
	// $taxonomy   = key( $taxonomies );
	foreach ( $taxonomies as $key => $value ) {
		$taxonomy = $key;
		break;
	}

	$terms      = get_the_terms( get_the_ID(), $taxonomy );
	foreach($terms as $term) {
		$term_url   = esc_url( get_term_link( $term->term_id, $taxonomy ) );
		$term_name  = esc_html( $term->name );
		$term_color = '';
		if ( class_exists( 'Vk_term_color' ) ) {
				$term_color = Vk_term_color::get_term_color( $term->term_id );
				$term_color = ( $term_color ) ? ' style="background-color:' . $term_color . ';border:none;"' : '';
		}
		echo '<span class="entry-meta_items entry-meta_items_term"><a href="' . $term_url . '" class="btn btn-xs btn-primary entry-meta_items_term_button"' . $term_color . '>' . $term_name . '</a></span>';
	}
	endif;
?>
